/**
 * @file
 * Styles for pagination.
 */

@import "../00_base/media-queries.pcss.css";

/* In case this is shown in a view with css columns property */
.pager {
  column-span: all;
}

.pager__items {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-end;
  justify-content: center;
  margin-block: 0;
  margin-inline-start: 0;
  padding-block: 0;
  padding-inline-start: 0;
  padding-inline-end: 0;
  list-style: none;
  font-weight: bold;
}

.pager__item {
  display: flex;
  align-items: center;
  justify-content: center;
  width: var(--sp2-5);
  height: var(--sp2-5);
  cursor: default;
  color: var(--color--gray-45);
  background-color: var(--color--white);
  border-radius: var(--border-radius);

  @media (--sm) {
    width: var(--sp3);
    height: var(--sp3);
  }
}

[dir="rtl"] .pager__item--control {
  transform: scaleX(-1);
}

.pager__item--active {
  color: var(--color--white);
  background-color: var(--color--primary);
}

.pager__link {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  text-decoration: none;
  color: var(--color--gray-45);
}

.pager__link:hover {
  background-color: var(--color--gray-95);
  border-radius: var(--border-radius);
}

.pager__link:focus {
  color: var(--color--primary);
  outline: solid 2px var(--color--primary);
  outline-offset: -2px;
  border-radius: var(--border-radius);
}

.pager__item svg {
  display: block;
  fill: currentColor;
}

.pager__item--next svg,
.pager__item--last svg {
  transform: rotate(180deg);
}
